config:
  target: http://localhost:8088
  phases:
    - duration: 1
      arrivalRate: 1
      rampTo: 5
      name: Fase de calentamiento
    - duration: 5
      arrivalRate: 5
      rampTo: 1
      name: Fase de puesta en marcha
    - duration: 1
      arrivalRate: 10
      rampTo: 30
      name: Fase aumento de picos
  plugins:
    ensure: {}
    apdex: {}
    metrics-by-endpoint: {}
  apdex:
    threshold: 100
  # Enable the Playwright engine:
  engines:
    playwright:
      launchOptions:
        headless: false
  processor: "productos.js"
scenarios:
  - engine: playwright
    flowFunction: "Test de carga"
    flow: []